package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class DrpProductionPlan {
   @ApiModelProperty("生产计划单号")
   @TableId
   private String productionPlanId;
   @ApiModelProperty("生产计划名称")
   private String productionPlanName;
   @ApiModelProperty("生产计划类型(1直接生成,2按菜谱生成,3按预定单生成)")
   private Integer productionPlanType;
   @ApiModelProperty("删除标识(1是2否)")
   private Integer delFlag;
   @TableField(
      value = "createBy",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String createBy;
   @TableField(
      value = "createTime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @TableField(
      value = "updateBy",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String updateBy;
   @TableField(
      value = "updateTime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("审批状态(1待审批,2审批中,3审批同意,4审批拒绝)")
   private Integer approveStatus;
   @ApiModelProperty("提交状态 1待提交 2已提交")
   private Integer status;
   @ApiModelProperty("审批流ID")
   private Long processInstanceId;
   @ApiModelProperty("是否多天重复")
   private Integer ifRepeat;
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("审批人")
   private String approveBy;
   @ApiModelProperty("审批完成时间")
   private LocalDateTime approveTime;
   @ApiModelProperty("审批备注")
   private String approveRemark;

   public String getProductionPlanId() {
      return this.productionPlanId;
   }

   public String getProductionPlanName() {
      return this.productionPlanName;
   }

   public Integer getProductionPlanType() {
      return this.productionPlanType;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Integer getApproveStatus() {
      return this.approveStatus;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Long getProcessInstanceId() {
      return this.processInstanceId;
   }

   public Integer getIfRepeat() {
      return this.ifRepeat;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public String getApproveBy() {
      return this.approveBy;
   }

   public LocalDateTime getApproveTime() {
      return this.approveTime;
   }

   public String getApproveRemark() {
      return this.approveRemark;
   }

   public DrpProductionPlan setProductionPlanId(final String productionPlanId) {
      this.productionPlanId = productionPlanId;
      return this;
   }

   public DrpProductionPlan setProductionPlanName(final String productionPlanName) {
      this.productionPlanName = productionPlanName;
      return this;
   }

   public DrpProductionPlan setProductionPlanType(final Integer productionPlanType) {
      this.productionPlanType = productionPlanType;
      return this;
   }

   public DrpProductionPlan setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }
   public DrpProductionPlan setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
      return this;
   }

   public DrpProductionPlan setStallId(final Long stallId) {
      this.stallId = stallId;
      return this;
   }

   public DrpProductionPlan setApproveStatus(final Integer approveStatus) {
      this.approveStatus = approveStatus;
      return this;
   }

   public DrpProductionPlan setStatus(final Integer status) {
      this.status = status;
      return this;
   }

   public DrpProductionPlan setProcessInstanceId(final Long processInstanceId) {
      this.processInstanceId = processInstanceId;
      return this;
   }

   public DrpProductionPlan setIfRepeat(final Integer ifRepeat) {
      this.ifRepeat = ifRepeat;
      return this;
   }

   public DrpProductionPlan setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
      return this;
   }

   public DrpProductionPlan setApproveBy(final String approveBy) {
      this.approveBy = approveBy;
      return this;
   }

   public DrpProductionPlan setApproveTime(final LocalDateTime approveTime) {
      this.approveTime = approveTime;
      return this;
   }

   public DrpProductionPlan setApproveRemark(final String approveRemark) {
      this.approveRemark = approveRemark;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpProductionPlan setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public DrpProductionPlan setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public DrpProductionPlan setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
      return this;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public DrpProductionPlan setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
      return this;
   }
}
